Bug 171972 - [OS X] Cannot add files outside of root partition/volume to the collection
Summary: [OS X] Cannot add files outside of root partition/volume to the collection
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: Collections/Local (show other bugs)
Version: 2.3-GIT
Platform: Compiled Sources macOS
: NOR normal (vote)
Target Milestone: ---
Assignee: Amarok Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-10-01 18:19 UTC by illogic-al
Modified: 2011-01-24 18:33 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description illogic-al 2008-10-01 18:19:54 UTC
Version:            (using Devel)
Compiler:          gcc 4.2.1 
OS:                OS X
Installed from:    Compiled sources

In OS X external drives, internal drives and other mounted partitions are mounted under the /Volumes directory. Amarok does not list the /Volumes directory so music from these type of drives can not be added to the collection.
Comment 1 illogic-al 2008-10-01 18:20:57 UTC
If you tell me where to look I'll see about adding support for this.
Comment 2 Mark Kretschmann 2008-10-01 20:29:12 UTC
We don't seem to filter out /Volumes explicitely, so that's a bit odd. You can check the code here:

amarok/src/dialogs/CollectionSetup.cpp
Comment 3 illogic-al 2008-10-01 21:05:55 UTC
output of ls showing dir properties

wl173180:local orville$ ll /
total 18002
drwxrwxr-x   31 root  admin       1K Sep 27 19:31 Applications
-rw-r--r--    1 root  admin       1K Dec  4  2007 Desktop DB
-rw-r--r--    1 root  admin       2B Dec  4  2007 Desktop DF
drwxrwxr-x   17 root  admin     578B Sep 27 19:22 Developer
drwxrwxr-t   47 root  admin       1K Sep 27 19:20 Library
drwxr-xr-x    1 root  wheel     512B Oct  1 13:33 Network
drwxr-xr-x    4 root  wheel     136B Sep 15 21:58 System
drwxrwxr-t    6 root  admin     204B Dec  4  2007 Users
drwxrwxrwt    4 root  admin     136B Sep 29 19:35 Volumes <--- I want 
Comment 4 James Rome 2008-11-08 04:02:37 UTC
I am seeing the same thing. The problem is that /Volumes is a system directory and hence is hidden. You need to either display all directories, or allow the user to show hidden directories. As it is, Amarok is useless to me on my Mac :-((
Comment 5 James Rome 2008-11-08 04:19:26 UTC
I thought I could make a sym link to my home directory (which I did), but now Amarok does not display its main window when I start it, and it crashes when I try to open my home directory. Every time
Process:         Amarok [8448]
Path:            /Applications/KDE4/Amarok.app/Contents/MacOS/Amarok
Identifier:      ???
Version:          ()
Code Type:       X86 (Native)
Parent Process:  launchd [219]

Date/Time:       2008-11-07 22:16:48.887 -0500
OS Version:      Mac OS X 10.5.5 (9F33)
Report Version:  6

Exception Type:  EXC_BAD_ACCESS (SIGBUS)
Exception Codes: KERN_PROTECTION_FAILURE at 0x0000000000000001
Crashed Thread:  0

Thread 0 Crashed:
0   QtGui                         	0x0358712b QFileSystemModelPrivate::naturalCompare(QString const&, QString const&, Qt::CaseSensitivity) + 11
1   QtGui                         	0x0359342f QList<int>::iterator QAlgorithmsPrivate::qUpperBoundHelper<QList<int>::iterator, QString, QFileSystemModelVisibleFinder>(QList<int>::iterator, QList<int>::iterator, QString const&, QFileSystemModelVisibleFinder) + 639
2   QtGui                         	0x035935cc QList<int>::iterator qUpperBound<QList<int>::iterator, QString, QFileSystemModelVisibleFinder>(QList<int>::iterator, QList<int>::iterator, QString const&, QFileSystemModelVisibleFinder) + 76
3   QtGui                         	0x0358b459 QFileSystemModelPrivate::addVisibleFiles(QFileSystemModelPrivate::QFileSystemNode*, QStringList const&) + 1049
4   QtGui                         	0x0358ed88 QFileSystemModelPrivate::_q_fileSystemChanged(QString const&, QList<QPair<QString, QFileInfo> > const&) + 3288
5   QtGui                         	0x0358f6cf QFileSystemModel::qt_metacall(QMetaObject::Call, int, void**) + 351
6   QtCore                        	0x003b71cb QMetaCallEvent::placeMetaCall(QObject*) + 43
7   QtCore                        	0x003b918d QObject::event(QEvent*) + 1005
8   QtGui                         	0x0358a5ee QFileSystemModel::event(QEvent*) + 46
9   QtGui                         	0x0314b93f QApplicationPrivate::notify_helper(QObject*, QEvent*) + 191
10  QtGui                         	0x03152119 QApplication::notify(QObject*, QEvent*) + 169
11  libkdeui.5.dylib              	0x0105c733 KApplication::notify(QObject*, QEvent*) + 147
12  QtCore                        	0x003a8ab1 QCoreApplication::notifyInternal(QObject*, QEvent*) + 145
13  QtCore                        	0x003a9ab6 QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) + 694
14  QtGui                         	0x031acacb QEventDispatcherMac::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) + 123
15  QtCore                        	0x003a7cb1 QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) + 65
16  QtCore                        	0x003a7fda QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) + 154
17  QtCore                        	0x003a9d89 QCoreApplication::exec() + 169
18                                	0x00014a23 main + 12627
19                                	0x000113d2 _start + 216
20                                	0x000112f9 start + 41

Thread 1:
0   libSystem.B.dylib             	0x92c2f4a6 mach_msg_trap + 10
1   libSystem.B.dylib             	0x92c36c9c mach_msg + 72
2   com.apple.CoreFoundation      	0x949230ce CFRunLoopRunSpecific + 1790
3   com.apple.CoreFoundation      	0x94923cf8 CFRunLoopRunInMode + 88
4   com.apple.audio.CoreAudio     	0x92bce464 HALRunLoop::OwnThread(void*) + 160
5   com.apple.audio.CoreAudio     	0x92bce300 CAPThread::Entry(CAPThread*) + 96
6   libSystem.B.dylib             	0x92c606f5 _pthread_start + 321
7   libSystem.B.dylib             	0x92c605b2 thread_start + 34

Thread 2:
0   libSystem.B.dylib             	0x92c2f4a6 mach_msg_trap + 10
1   libSystem.B.dylib             	0x92c36c9c mach_msg + 72
2   ....audio_hijack_server.hermes	0x03d4a4ce ah_serv_loop + 109
3   libSystem.B.dylib             	0x92c606f5 _pthread_start + 321
4   libSystem.B.dylib             	0x92c605b2 thread_start + 34

Thread 3:
0   libSystem.B.dylib             	0x92c2f506 semaphore_timedwait_signal_trap + 10
1   libSystem.B.dylib             	0x92c6184f _pthread_cond_wait + 1244
2   libSystem.B.dylib             	0x92c630d3 pthread_cond_timedwait_relative_np + 47
3   com.apple.CoreVideo           	0x921a0b90 CVDisplayLink::waitUntil(unsigned long long) + 390
4   com.apple.CoreVideo           	0x921a1552 CVDisplayLink::runIOThread() + 778
5   libSystem.B.dylib             	0x92c606f5 _pthread_start + 321
6   libSystem.B.dylib             	0x92c605b2 thread_start + 34

Thread 4:
0   libSystem.B.dylib             	0x92c7f5e2 select$DARWIN_EXTSN + 10
1   libSystem.B.dylib             	0x92c606f5 _pthread_start + 321
2   libSystem.B.dylib             	0x92c605b2 thread_start + 34

Thread 5:
0   libSystem.B.dylib             	0x92c2f4ee semaphore_wait_signal_trap + 10
1   libSystem.B.dylib             	0x92c61866 _pthread_cond_wait + 1267
2   libSystem.B.dylib             	0x92ca7371 pthread_cond_wait + 48
3   QtCore                        	0x002c4a96 QWaitCondition::wait(QMutex*, unsigned long) + 278
4   libthreadweaver.4.dylib       	0x02ee1b21 ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned(ThreadWeaver::Thread*) + 81
5   libthreadweaver.4.dylib       	0x02ee4d42 ThreadWeaver::WorkingHardState::applyForWork(ThreadWeaver::Thread*, ThreadWeaver::Job*) + 226
6   libthreadweaver.4.dylib       	0x02ee305e ThreadWeaver::ThreadRunHelper::run(ThreadWeaver::WeaverImpl*, ThreadWeaver::Thread*) + 110
7   libthreadweaver.4.dylib       	0x02ee35f4 ThreadWeaver::Thread::run() + 164
8   QtCore                        	0x002c3a6b QThreadPrivate::start(void*) + 203
9   libSystem.B.dylib             	0x92c606f5 _pthread_start + 321
10  libSystem.B.dylib             	0x92c605b2 thread_start + 34

Thread 6:
0   libSystem.B.dylib             	0x92c2f4ee semaphore_wait_signal_trap + 10
1   libSystem.B.dylib             	0x92c61866 _pthread_cond_wait + 1267
2   libSystem.B.dylib             	0x92ca7371 pthread_cond_wait + 48
3   QtCore                        	0x002c4a96 QWaitCondition::wait(QMutex*, unsigned long) + 278
4   libthreadweaver.4.dylib       	0x02ee1b21 ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned(ThreadWeaver::Thread*) + 81
5   libthreadweaver.4.dylib       	0x02ee4d42 ThreadWeaver::WorkingHardState::applyForWork(ThreadWeaver::Thread*, ThreadWeaver::Job*) + 226
6   libthreadweaver.4.dylib       	0x02ee4d61 ThreadWeaver::WorkingHardState::applyForWork(ThreadWeaver::Thread*, ThreadWeaver::Job*) + 257
7   libthreadweaver.4.dylib       	0x02ee305e ThreadWeaver::ThreadRunHelper::run(ThreadWeaver::WeaverImpl*, ThreadWeaver::Thread*) + 110
8   libthreadweaver.4.dylib       	0x02ee35f4 ThreadWeaver::Thread::run() + 164
9   QtCore                        	0x002c3a6b QThreadPrivate::start(void*) + 203
10  libSystem.B.dylib             	0x92c606f5 _pthread_start + 321
11  libSystem.B.dylib             	0x92c605b2 thread_start + 34

Thread 7:
0   libSystem.B.dylib             	0x92c2f4ee semaphore_wait_signal_trap + 10
1   libSystem.B.dylib             	0x92c61866 _pthread_cond_wait + 1267
2   libSystem.B.dylib             	0x92ca7371 pthread_cond_wait + 48
3   QtCore                        	0x002c4a96 QWaitCondition::wait(QMutex*, unsigned long) + 278
4   libthreadweaver.4.dylib       	0x02ee1b21 ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned(ThreadWeaver::Thread*) + 81
5   libthreadweaver.4.dylib       	0x02ee4d42 ThreadWeaver::WorkingHardState::applyForWork(ThreadWeaver::Thread*, ThreadWeaver::Job*) + 226
6   libthreadweaver.4.dylib       	0x02ee305e ThreadWeaver::ThreadRunHelper::run(ThreadWeaver::WeaverImpl*, ThreadWeaver::Thread*) + 110
7   libthreadweaver.4.dylib       	0x02ee35f4 ThreadWeaver::Thread::run() + 164
8   QtCore                        	0x002c3a6b QThreadPrivate::start(void*) + 203
9   libSystem.B.dylib             	0x92c606f5 _pthread_start + 321
10  libSystem.B.dylib             	0x92c605b2 thread_start + 34

Thread 8:
0   libSystem.B.dylib             	0x92c2f4ee semaphore_wait_signal_trap + 10
1   libSystem.B.dylib             	0x92c61866 _pthread_cond_wait + 1267
2   libSystem.B.dylib             	0x92ca7371 pthread_cond_wait + 48
3   QtCore                        	0x002c4a96 QWaitCondition::wait(QMutex*, unsigned long) + 278
4   QtGui                         	0x0359775a QFileInfoGatherer::run() + 490
5   QtCore                        	0x002c3a6b QThreadPrivate::start(void*) + 203
6   libSystem.B.dylib             	0x92c606f5 _pthread_start + 321
7   libSystem.B.dylib             	0x92c605b2 thread_start + 34

Thread 9:
0   libSystem.B.dylib             	0x92c5ff66 kevent + 10
1   QtCore                        	0x002c3a6b QThreadPrivate::start(void*) + 203
2   libSystem.B.dylib             	0x92c606f5 _pthread_start + 321
3   libSystem.B.dylib             	0x92c605b2 thread_start + 34

Thread 0 crashed with X86 Thread State (32-bit):
  eax: 0x00000001  ebx: 0x035931be  ecx: 0x04221814  edx: 0xbfffec08
  edi: 0x04258614  esi: 0x00000001  ebp: 0xbfffea48  esp: 0xbfffe9e0
   ss: 0x0000001f  efl: 0x00010282  eip: 0x0358712b   cs: 0x00000017
   ds: 0x0000001f   es: 0x0000001f   fs: 0x00000000   gs: 0x00000037
  cr2: 0x00000001

Binary Images:
    0x1000 -    0x16ff3 +  () <2db897ab211a33fd7285a942631c251f> /Applications/KDE4/Amarok.app/Contents/MacOS/Amarok
   0x28000 -    0x37ffd +libz.1.dylib ??? (???) <c8cd63d768d3087804e4ea1d4e9a8f98> /opt/local/lib/libz.1.dylib
   0x3c000 -    0x4afff +libbz2.1.0.dylib ??? (???) <52f4d76009bdbeaf22a3759054ded9e6> /opt/local/lib/libbz2.1.0.dylib
   0x74000 -    0x7bff3 +libintl.8.dylib ??? (???) <9d12b5caa4dae6265f28b38bc71ba040> /opt/local/lib/libintl.8.dylib
   0x80000 -    0x9dff5 +libktexteditor.4.dylib ??? (???) <3ac7996493cbcbff2984b7b826a3b488> /opt/local/lib/libktexteditor.4.dylib
   0xb9000 -    0xb9ffb +libpcreposix.0.dylib ??? (???) <6c908e660600774e2ae3ebf11e7e793c> /opt/local/lib/libpcreposix.0.dylib
   0xbd000 -    0xc2ff6 +libgif.4.dylib ??? (???) <6d474f5652db88bb334fa7781e0e4efc> /opt/local/lib/libgif.4.dylib
  0x113000 -   0x1daff2 +QtNetwork ??? (???) <2d57ce2ccb27e6762c396fe4d348af83> /opt/local/Library/Frameworks/QtNetwork.framework/Versions/4/QtNetwork
  0x2b0000 -   0x4d9ffb +QtCore ??? (???) <900b45e4ecb543dbbedaaf964321a2b5> /opt/local/Library/Frameworks/QtCore.framework/Versions/4/QtCore
  0x560000 -   0x5b1ff7 +QtDBus ??? (???) <0523cf5c729ac134d8a41cbfd9c8a043> /opt/local/Library/Frameworks/QtDBus.framework/Versions/4/QtDBus
  0x5d4000 -   0x620fff +QtXml ??? (???) <f29b92779bb3d4b2e020c6037b00083f> /opt/local/Library/Frameworks/QtXml.framework/Versions/4/QtXml
  0x641000 -   0x824ff7 +libkdecore.5.dylib ??? (???) <627099c04c586d663a4e6bfe7adebb9d> /opt/local/lib/libkdecore.5.dylib
  0x8eb000 -   0xb9fff7 +libamaroklib.1.dylib ??? (???) <416fd6695898f621c6eefcbd405d3688> /opt/local/lib/libamaroklib.1.dylib
  0xf11000 -   0xf4afff +libkutils.4.dylib ??? (???) <6ed7c2ccd7496e8777dd524a99c6dd13> /opt/local/lib/libkutils.4.dylib
  0xf6c000 -  0x11ecfff +libkdeui.5.dylib ??? (???) <d6b086006d5add18aa6bd7616986b40a> /opt/local/lib/libkdeui.5.dylib
 0x133c000 -  0x136bfef +libkparts.4.dylib ??? (???) <b7c05a163a8bb6287a7279119b1cd3dc> /opt/local/lib/libkparts.4.dylib
 0x138a000 -  0x1426fe2 +libkjs.4.dylib ??? (???) <c9e51484cde64dca0586364644289d91> /opt/local/lib/libkjs.4.dylib
 0x1471000 -  0x149dfef +libpcre.0.dylib ??? (???) <2d6bd38a6bf0ea0e9701d6a4b372bbca> /opt/local/lib/libpcre.0.dylib
 0x14a1000 -  0x14d1fef +libphonon.4.dylib ??? (???) <ae47f409e5d0f13856dc039ef6fc2529> /opt/local/lib/libphonon.4.dylib
 0x14f1000 -  0x150cff0 +libjpeg.62.dylib ??? (???) <5fe0c92d8bf42a3b4f5b1b21428158af> /opt/local/lib/libjpeg.62.dylib
 0x1513000 -  0x1532ffb +libpng12.0.dylib ??? (???) <db6325ddbf0f188212ecf5116f0a2bbb> /opt/local/lib/libpng12.0.dylib
 0x1539000 -  0x1896fef +libkhtml.5.dylib ??? (???) <1b7b9ed3af204d7535be7b367398ab70> /opt/local/lib/libkhtml.5.dylib
 0x1a92000 -  0x1b88fe2 +QtScript ??? (???) <aa1d3d2d3dec1e2649c1eaee061cae94> /opt/local/Library/Frameworks/QtScript.framework/Versions/4/QtScript
 0x1bcf000 -  0x1bfbfe7 +libamarok_taglib.1.dylib ??? (???) <e9ce070b3bbbb294102e7d451656dba7> /opt/local/lib/libamarok_taglib.1.dylib
 0x1c4f000 -  0x1c95fe7 +libtag.1.dylib ??? (???) <1504195d93eb6d94cce8b8c7886cbe05> /opt/local/lib/libtag.1.dylib
 0x1cc1000 -  0x1e2bfe7 +libamarokplasma.2.dylib ??? (???) <5874c468630a29e71c67a21f676088d7> /opt/local/lib/libamarokplasma.2.dylib
 0x1fb2000 -  0x26bfff2 +QtWebKit ??? (???) <30d4bf3819f2e3707941478c0dbfa5cc> /opt/local/Library/Frameworks/QtWebKit.framework/Versions/4/QtWebKit
 0x2acf000 -  0x2b2bfff +QtOpenGL ??? (???) <136ac22ff0bec0674ca55c6bee129c5b> /opt/local/Library/Frameworks/QtOpenGL.framework/Versions/4/QtOpenGL
 0x2b4c000 -  0x2d55ff2 +libkio.5.dylib ??? (???) <2e56505e4c26c9ac9f62362164b66eee> /opt/local/lib/libkio.5.dylib
 0x2e44000 -  0x2ea2ff7 +libkfile.4.dylib ??? (???) <f8fbf169b342201104b48671707a3710> /opt/local/lib/libkfile.4.dylib
 0x2edd000 -  0x2eebff2 +libthreadweaver.4.dylib ??? (???) <c9be1bdb58bd3e9a74b42b5b38539342> /opt/local/lib/libthreadweaver.4.dylib
 0x2ef8000 -  0x2f5dff7 +libstreamanalyzer.0.dylib ??? (???) <3e47e349836478e2d06636a5c41766e9> /opt/local/lib/libstreamanalyzer.0.dylib
 0x2f86000 -  0x2faeff3 +libstreams.0.dylib ??? (???) <70c77c0064d24b5be617476581324f9d> /opt/local/lib/libstreams.0.dylib
 0x2fbf000 -  0x2ffdfe4 +libsolid.4.dylib ??? (???) <32cc10d8ccbd525465171bce9ac4b3e5> /opt/local/lib/libsolid.4.dylib
 0x302b000 -  0x3088fff +libknewstuff2.4.dylib ??? (???) <63ab36a3d07e656884af30150da1f319> /opt/local/lib/libknewstuff2.4.dylib
 0x30b5000 -  0x30c7fef +libamarokpud.1.dylib ??? (???) <c4a7f051dfacaa7501d5e86ca0460e19> /opt/local/lib/libamarokpud.1.dylib
 0x30e1000 -  0x311dfed +QtSvg ??? (???) <d1b4926e4117896ed85d552263a57864> /opt/local/Library/Frameworks/QtSvg.framework/Versions/4/QtSvg
 0x313b000 -  0x3806fff +QtGui ??? (???) <a4a98e10b8669d67517d1ad22858244f> /opt/local/Library/Frameworks/QtGui.framework/Versions/4/QtGui
 0x3a4f000 -  0x3a7dfff +libdbus-1.3.dylib ??? (???) <3153685e4f5b5adae04cb56ce3f7c79b> /opt/local/lib/libdbus-1.3.dylib
 0x3a8d000 -  0x3b84fff +libiconv.2.dylib ??? (???) <2ed42efeb1e06e537d5fe2433071d403> /opt/local/lib/libiconv.2.dylib
 0x3b91000 -  0x3c93fe7 +libxml2.2.dylib ??? (???) <4820c84f885149f3701357ba1c14ff6f> /opt/local/lib/libxml2.2.dylib
 0x3cc1000 -  0x3ce1ff7 +libreadline.5.2.dylib ??? (???) <250882972f23afd8be2737424f08154f> /opt/local/lib/libreadline.5.2.dylib
 0x3cf3000 -  0x3d1eff7 +libncurses.5.dylib ??? (???) <e8f28af57355b136c74a8a7dbf265cde> /opt/local/lib/libncurses.5.dylib
 0x3d47000 -  0x3d52fff +com.rogueamoeba.audio_hijack_server.hermes 2.1.0 (2.1.0) <e08236a80b0ec2745be3ea6f13534b33> /usr/local/hermes/modules/Instant Hijack Server.hermesmodule/Contents/MacOS/Instant Hijack Server
 0x3daa000 -  0x3db3fef +libkfilemodule.so ??? (???) <a0123c3b2b16237bcf52812e56dfb376> /opt/local/lib/kde4/libkfilemodule.so
 0x3dc9000 -  0x3dd1fff +libqjpeg.bundle ??? (???) <5af2a2b62c8acf86edc8ed665d2a1f13> /opt/local/lib/qt4-mac-plugins/imageformats/libqjpeg.bundle
 0x3f00000 -  0x3f22fff +libqtaccessiblewidgets.bundle ??? (???) <5aae819dc265fbda138b2b102f57b2f1> /opt/local/lib/qt4-mac-plugins/accessible/libqtaccessiblewidgets.bundle
 0x3fc6000 -  0x3fddfe9 +kde.so ??? (???) <d4f112f06d0b3c36eb461fc8bce8deaa> /opt/local/lib/kde4/plugins/phonon_platform/kde.so
 0x3fee000 -  0x3ff1fff  com.apple.audio.AudioIPCPlugIn 1.0.4 (1.0.4) <9ce6f675ce724b0ba4e78323b79cf95c> /System/Library/Extensions/AudioIPCDriver.kext/Contents/Resources/AudioIPCPlugIn.bundle/Contents/MacOS/AudioIPCPlugIn
0x16b97000 - 0x16ba0ff1 +libkpty.4.dylib ??? (???) <53db4241ae26310627f60a4521362d29> /opt/local/lib/libkpty.4.dylib
0x16d19000 - 0x16d88fef +libkrossqtsplugin.4.1.0.dylib ??? (???) <80ccfc0d17e8a6f0ceaa4cbec7dce728> /opt/local/lib/kde4/plugins/script/libkrossqtsplugin.4.1.0.dylib
0x16dc3000 - 0x16ddcfec +libkrosscore.4.dylib ??? (???) <4a5ed3f41b6595ef318b58a60f3939d1> /opt/local/lib/libkrosscore.4.dylib
0x16de9000 - 0x16df8fff +QtTest ??? (???) <097ede32e8e1eed26d563c18597dc068> /opt/local/Library/Frameworks/QtTest.framework/Versions/4/QtTest
0x16e01000 - 0x16e2bfff +QtSql ??? (???) <dbed5d801e85c35888bb7117e2e907f7> /opt/local/Library/Frameworks/QtSql.framework/Versions/4/QtSql
0x16f2b000 - 0x16f36ff3 +plasma_animator_default.so ??? (???) <c612a96235e858c00e7b13eb519a8656> /opt/local/lib/kde4/plasma_animator_default.so
0x16f3e000 - 0x16f5aff7 +amarok_context_applet_currenttrack.so ??? (???) <063e80475c96511440dfaf2fd700cd53> /opt/local/lib/kde4/amarok_context_applet_currenttrack.so
0x16fd3000 - 0x16fd5fff +com.Logitech.Control Center.Scroll Enhancer Loader 2.6.0 (2.6.0) /Library/InputManagers/LCC Scroll Enhancer Loader/LCC Scroll Enhancer Loader.bundle/Contents/MacOS/LCC Scroll Enhancer Loader
0x170f3000 - 0x1710cfe7 +amarok_data_engine_current.so ??? (???) <8bc987496d63efc8219657660c560b2e> /opt/local/lib/kde4/amarok_data_engine_current.so
0x1729f000 - 0x172b4fef +libkaudiodevicelist.4.dylib ??? (???) <bb0293d985b2457bc2a284ff19eb8345> /opt/local/lib/libkaudiodevicelist.4.dylib
0x17363000 - 0x1739eff7 +libphonon_qt7.bundle ??? (???) <52060fb48b697d84943efbfadca4ea2c> /opt/local/lib/qt4-mac-plugins/phonon_backend/libphonon_qt7.bundle
0x173c0000 - 0x173effe2 +phonon ??? (???) <426deab0fc7b403a26795b1de77d6d01> /opt/local/Library/Frameworks/phonon.framework/Versions/4/phonon
0x1740d000 - 0x17412fff  com.apple.audio.AppleHDAHALPlugIn 1.5.7 (1.5.7a24) /System/Library/Extensions/AppleHDA.kext/Contents/PlugIns/AppleHDAHALPlugIn.bundle/Contents/MacOS/AppleHDAHALPlugIn
0x17586000 - 0x175f8fff +com.DivXInc.DivXDecoder 6.4.0 (6.4.0) /Library/QuickTime/DivX Decoder.component/Contents/MacOS/DivX Decoder
0x17606000 - 0x176a6fff +net.sourceforge.webcam-osx.common 0.9.1 (0.9.1) /Library/QuickTime/macam.component/Contents/MacOS/macam
0x17744000 - 0x17763fff +amarok_service_shoutcast.so ??? (???) <c228a4dd408798cc8d249a0590bf8078> /opt/local/lib/kde4/amarok_service_shoutcast.so
0x1777d000 - 0x177b0fff +libamarok_collection-daapcollection.so ??? (???) <0b70bc5a42df40e629ba008a3c0a6d90> /opt/local/lib/kde4/libamarok_collection-daapcollection.so
0x177e4000 - 0x177f5fef +libkdnssd.4.dylib ??? (???) <34fd3c0dce2e4dde781d901371422b36> /opt/local/lib/libkdnssd.4.dylib
0x17802000 - 0x17884fe7 +libamarok_collection-sqlcollection.so ??? (???) <f58b561334af6f481a6e49d6d32598ed> /opt/local/lib/kde4/libamarok_collection-sqlcollection.so
0x17909000 - 0x1793aff3 +libmysqlclient.16.dylib ??? (???) <3a4d7988ab23f5b87e039aadc2a4e3da> /opt/local/lib/mysql5/mysql/libmysqlclient.16.dylib
0x17973000 - 0x17a75fe7 +libcrypto.0.9.8.dylib ??? (???) <fe3cb41d7cd65d66236b87d2c73bf0a2> /opt/local/lib/libcrypto.0.9.8.dylib
0x17ad3000 - 0x17b08feb +libssl.0.9.8.dylib ??? (???) <90554d799182c275f70802371b102298> /opt/local/lib/libssl.0.9.8.dylib
0x17b1b000 - 0x17b41ffb +amarok_service_jamendo.so ??? (???) <d9d30df55949398e1224e20cbf237e7f> /opt/local/lib/kde4/amarok_service_jamendo.so
0x17b60000 - 0x17b84ff7 +amarok_service_ampache.so ??? (???) <1c6a1de43617343e9b6bdc83266351f8> /opt/local/lib/kde4/amarok_service_ampache.so
0x17ba6000 - 0x17bc4feb +amarok_service_opmldirectory.so ??? (???) <de85baebaebae05abca4e3d7402ab12c> /opt/local/lib/kde4/amarok_service_opmldirectory.so
0x17bdd000 - 0x17c21fef +amarok_service_magnatunestore.so ??? (???) <2497957df4bea764c5d29949bdcb44bd> /opt/local/lib/kde4/amarok_service_magnatunestore.so
0x17c62000 - 0x17cf2fef +amarok_service_lastfm.so ??? (???) <044cde60716ea2e0b39147d4b0d3cbb6> /opt/local/lib/kde4/amarok_service_lastfm.so
0x17da3000 - 0x17dabfff +kimg_dds.so ??? (???) <6b22ad0e96bb0d18878bd0babd8ff310> /opt/local/lib/kde4/plugins/imageformats/kimg_dds.so
0x17db0000 - 0x17db8ffb +kimg_eps.so ??? (???) <73b43d3392af002698bfc90e6888ebd9> /opt/local/lib/kde4/plugins/imageformats/kimg_eps.so
0x17dbd000 - 0x17dc5ff3 +kimg_exr.so ??? (???) <4a7dfedc49ba3cb3172a26fda55ea982> /opt/local/lib/kde4/plugins/imageformats/kimg_exr.so
0x17dca000 - 0x17dccff7 +libImath.6.dylib ??? (???) <d0d8c4f9b316e98511c2ec9f7e7de083> /opt/local/lib/libImath.6.dylib
0x17dd1000 - 0x17dd9ffb +libIex.6.dylib ??? (???) <805cfbc180420672be6860b381de33ab> /opt/local/lib/libIex.6.dylib
0x17de4000 - 0x17de6ff3 +libIlmThread.6.dylib ??? (???) <04bdf76f2264c0d29acf7bc75c31eccd> /opt/local/lib/libIlmThread.6.dylib
0x17dec000 - 0x17df3ff3 +kimg_jp2.so ??? (???) <c21ea8a27a0ddd48ae0c5effe2a5a455> /opt/local/lib/kde4/plugins/imageformats/kimg_jp2.so
0x17f00000 - 0x17f90fef +libIlmImf.6.dylib ??? (???) <a80763627009d5386252503dcfe8f80a> /opt/local/lib/libIlmImf.6.dylib
0x17fbe000 - 0x17fffff7 +libHalf.6.dylib ??? (???) <c51a87b42394cd93b5728183d8670982> /opt/local/lib/libHalf.6.dylib
0x18003000 - 0x1803bffb +libjasper.1.dylib ??? (???) <3abdd79a735378dd9f052f4350e655e5> /opt/local/lib/libjasper.1.dylib
0x18056000 - 0x1805eff7 +kimg_pcx.so ??? (???) <55a40504b772e6d466e1e63af8482fc2> /opt/local/lib/kde4/plugins/imageformats/kimg_pcx.so
0x18063000 - 0x18069ffb +kimg_psd.so ??? (???) <f2257ceb6f750a714e61c8ad7eb98485> /opt/local/lib/kde4/plugins/imageformats/kimg_psd.so
0x1806e000 - 0x18077fff +kimg_rgb.so ??? (???) <8be01f074d92b3f447b9897703414dad> /opt/local/lib/kde4/plugins/imageformats/kimg_rgb.so
0x1807d000 - 0x18083ff7 +kimg_tga.so ??? (???) <c2b9a08c4452d9fca30092ecabf2c7d6> /opt/local/lib/kde4/plugins/imageformats/kimg_tga.so
0x18088000 - 0x18097ff7 +kimg_xcf.so ??? (???) <3d699a2441ac52c41c6899e10329ef7f> /opt/local/lib/kde4/plugins/imageformats/kimg_xcf.so
0x180a1000 - 0x180a7ff3 +kimg_xview.so ??? (???) <28ab96859620ffe2a54995c64f5d0b9c> /opt/local/lib/kde4/plugins/imageformats/kimg_xview.so
0x180ac000 - 0x180b2ff7 +libqgif.bundle ??? (???) <a50b07202b8e0900be92e0eea3086750> /opt/local/lib/qt4-mac-plugins/imageformats/libqgif.bundle
0x180b7000 - 0x180bdffb +libqico.bundle ??? (???) <fb042d9731a82be42b824ecee7095261> /opt/local/lib/qt4-mac-plugins/imageformats/libqico.bundle
0x180c2000 - 0x180c7ff3 +libqmng.bundle ??? (???) <64a38d8c6a146e56140483e2794eb626> /opt/local/lib/qt4-mac-plugins/imageformats/libqmng.bundle
0x180cd000 - 0x1811bff7 +libmng.1.dylib ??? (???) <5cc2c75378b1440f75ec6d14c1fb6593> /opt/local/lib/libmng.1.dylib
0x1812d000 - 0x18154fff +liblcms.1.dylib ??? (???) <e673e08a7c07df218aa3a94b2120ff22> /opt/local/lib/liblcms.1.dylib
0x1815f000 - 0x18164ffb +libqsvg.bundle ??? (???) <d15a82c39273c8347a4c36d04152dd16> /opt/local/lib/qt4-mac-plugins/imageformats/libqsvg.bundle
0x18169000 - 0x1816efff +libqtiff.bundle ??? (???) <bdf638419cbe6f5131ebdf72ff75cfaa> /opt/local/lib/qt4-mac-plugins/imageformats/libqtiff.bundle
0x18173000 - 0x181befff +libtiff.3.dylib ??? (???) <ef70acff7569ed97b204a2fc2bd8f642> /opt/local/lib/libtiff.3.dylib
0x1824a000 - 0x18268ff7 +amarok_containment_context.so ??? (???) <5afaadd63bd6620181fa062b6a9c2980> /opt/local/lib/kde4/amarok_containment_context.so
0x18280000 - 0x18292fff  libTraditionalChineseConverter.dylib ??? (???) <89ec94121ef50601dc538548caae57fc> /System/Library/CoreServices/Encodings/libTraditionalChineseConverter.dylib
0x18296000 - 0x182a4feb  libSimplifiedChineseConverter.dylib ??? (???) <548d5a699dbe2bb8fcc8275321fdc0d4> /System/Library/CoreServices/Encodings/libSimplifiedChineseConverter.dylib
0x182d6000 - 0x182e0ff7 +com.unsanity.smartcrashreports Smart Crash Reports version 1.5 (1.5) /Library/InputManagers/Smart Crash Reports/Smart Crash Reports.bundle/Contents/MacOS/Smart Crash Reports
0x182ed000 - 0x182effff +com.unsanity.menuextraenabler 1.0.3 (1.0.3) /Library/InputManagers/Menu Extra Enabler/Menu Extra Enabler.bundle/Contents/MacOS/Menu Extra Enabler
0x1868c000 - 0x186d6fff +libqtscript_sql.so ??? (???) <4ecaa4fcba926185839139d39c1313d6> /opt/local/lib/kde4/plugins/script/libqtscript_sql.so
0x18d00000 - 0x18d71feb +libqtscript_uitools.so ??? (???) <a2144fb927db8bc9bb40f3d047184a3e> /opt/local/lib/kde4/plugins/script/libqtscript_uitools.so
0x1b800000 - 0x1b868ff6 +libqtscript_xml.so ??? (???) <ac5ad85b3ecb75bd253ce23fe54fef63> /opt/local/lib/kde4/plugins/script/libqtscript_xml.so
0x1e2fc000 - 0x1e47bff7 +libqtscript_core.so ??? (???) <bce2ade007a39b1509a615df4890bb94> /opt/local/lib/kde4/plugins/script/libqtscript_core.so
0x1e800000 - 0x1e8a5fff +libqtscript_network.so ??? (???) <19a8734d234a477c3d7f1b0d14d3add4> /opt/local/lib/kde4/plugins/script/libqtscript_network.so
0x1e9dd000 - 0x1e9dfffb  com.apple.PDFImporter 1.7 (???) <490de796fe9a6b3b8a9844a1630d38e2> /System/Library/Components/PDFImporter.component/Contents/MacOS/PDFImporter
0x1fd64000 - 0x20595fef +libqtscript_gui.so ??? (???) <9e5cf348cda7e6fa311692e1a88e5049> /opt/local/lib/kde4/plugins/script/libqtscript_gui.so
0x21600000 - 0x21843fde +net.telestream.wmv.import 2.2.1.11 (2.2.1.11) /Library/QuickTime/Flip4Mac WMV Import.component/Contents/MacOS/Flip4Mac WMV Import
0x2187b000 - 0x219dbfe1  com.apple.QuickTimeStreaming.component 7.5.5 (990.7) <1ae855987a93ae65e4633b0f2c22eabd> /System/Library/QuickTime/QuickTimeStreaming.component/Contents/MacOS/QuickTimeStreaming
0x21a3e000 - 0x21a9efef  com.apple.QuickTimeMPEG.component 7.5.5 (990.7) /System/Library/QuickTime/QuickTimeMPEG.component/Contents/MacOS/QuickTimeMPEG
0x21c00000 - 0x21c9bfe7 +libkde3support.4.dylib ??? (???) <a2c8ca6cc36788568c831e2959a7ab01> /opt/local/lib/libkde3support.4.dylib
0x24d17000 - 0x24f84ff7 +com.yourcompany.XviD_Codec ??? (1.0) /Library/QuickTime/XviD_Codec 1.0 alpha.component/Contents/MacOS/XviD_Codec
0x25467000 - 0x254affdf +com.ZyGoDigital.ZyGoMJK 1.1.0 (1.1.0) /Library/QuickTime/ZyGoMJ2K.component/Contents/MacOS/ZyGoMJ2K
0x261e1000 - 0x263e0fff +Qt3Support ??? (???) <cf053f9927a8d4de90af67ea0ed6cba2> /opt/local/Library/Frameworks/Qt3Support.framework/Versions/4/Qt3Support
0x264c0000 - 0x266a8fff  com.apple.RawCamera.bundle 2.0.11 (410) <7704cc57f7daceb81672bfdc4434da40> /System/Library/CoreServices/RawCamera.bundle/Contents/MacOS/RawCamera
0x8fe00000 - 0x8fe2da53  dyld 96.2 (???) <7af47d3b00b2268947563c7fa8c59a07> /usr/lib/dyld
0x90003000 - 0x900e8ff3  com.apple.CoreData 100.1 (186) <8e28162ef2288692615b52acc01f8b54> /System/Library/Frameworks/CoreData.framework/Versions/A/CoreData
0x9014f000 - 0x91104ffe  com.apple.QuickTimeComponents.component 7.5.5 (990.7) /System/Library/QuickTime/QuickTimeComponents.component/Contents/MacOS/QuickTimeComponents
0x91285000 - 0x91286ffc  libffi.dylib ??? (???) <a3b573eb950ca583290f7b2b4c486d09> /usr/lib/libffi.dylib
0x91307000 - 0x91307ffd  com.apple.vecLib 3.4.2 (vecLib 3.4.2) /System/Library/Frameworks/vecLib.framework/Versions/A/vecLib
0x914c4000 - 0x9151dff7  libGLU.dylib ??? (???) /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLU.dylib
0x9151e000 - 0x91825fff  com.apple.HIToolbox 1.5.4 (???) <5e2af960b53059c648af4adb99471032> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HIToolbox.framework/Versions/A/HIToolbox
0x91826000 - 0x918cdfeb  com.apple.QD 3.11.54 (???) <b743398c24c38e581a86e91744a2ba6e> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/QD.framework/Versions/A/QD
0x9193c000 - 0x9193cffd  com.apple.Accelerate.vecLib 3.4.2 (vecLib 3.4.2) /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/vecLib
0x9193d000 - 0x9195bfff  libresolv.9.dylib ??? (???) <a8018c42930596593ddf27f7c20fe7af> /usr/lib/libresolv.9.dylib
0x9195c000 - 0x91960fff  libGIF.dylib ??? (???) <572a32e46e33be1ec041c5ef5b0341ae> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libGIF.dylib
0x91961000 - 0x91989fff  libcups.2.dylib ??? (???) <1031ca5b692b80a9568e57a342b60157> /usr/lib/libcups.2.dylib
0x9198a000 - 0x919e7ffb  libstdc++.6.dylib ??? (???) <04b812dcec670daa8b7d2852ab14be60> /usr/lib/libstdc++.6.dylib
0x919e8000 - 0x919f4ffe  libGL.dylib ??? (???) /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib
0x91a27000 - 0x920c3fff  com.apple.CoreGraphics 1.351.33 (???) <481a77e81d9e53589a05e80cfa90bbb5> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/CoreGraphics
0x920c4000 - 0x92172ffb  com.apple.QTKit 7.5.5 (990.7) /System/Library/Frameworks/QTKit.framework/Versions/A/QTKit
0x92173000 - 0x9217afff  com.apple.agl 3.0.9 (AGL-3.0.9) <aeab67ef267f8295ae80fddc197b52a5> /System/Library/Frameworks/AGL.framework/Versions/A/AGL
0x9217c000 - 0x92189fe7  com.apple.opengl 1.5.7 (1.5.7) <db835aeb1ffca9f5b5647dd0829a5b2c> /System/Library/Frameworks/OpenGL.framework/Versions/A/OpenGL
0x9218d000 - 0x9218dff8  com.apple.Cocoa 6.5 (???) <e064f94d969ce25cb7de3cfb980c3249> /System/Library/Frameworks/Cocoa.framework/Versions/A/Cocoa
0x9218e000 - 0x921a4fe7  com.apple.CoreVideo 1.5.1 (1.5.1) <001910004257f1386724398f584b30b5> /System/Library/Frameworks/CoreVideo.framework/Versions/A/CoreVideo
0x921a5000 - 0x92285fff  libobjc.A.dylib ??? (???) <7b92613fdf804fd9a0a3733a0674c30b> /usr/lib/libobjc.A.dylib
0x92286000 - 0x922b5fe3  com.apple.AE 402.2 (402.2) <e01596187e91af5d48653920017b8c8e> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/AE.framework/Versions/A/AE
0x922b6000 - 0x922c0feb  com.apple.audio.SoundManager 3.9.2 (3.9.2) <0f2ba6e891d3761212cf5a5e6134d683> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CarbonSound.framework/Versions/A/CarbonSound
0x922c1000 - 0x92388ff2  com.apple.vImage 3.0 (3.0) /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vImage.framework/Versions/A/vImage
0x9238f000 - 0x9238fffa  com.apple.CoreServices 32 (32) <2fcc8f3bd5bbfc000b476cad8e6a3dd2> /System/Library/Frameworks/CoreServices.framework/Versions/A/CoreServices
0x92390000 - 0x92390fff  com.apple.Carbon 136 (136) <98a5e3bc0c4fa44bbb09713bb88707fe> /System/Library/Frameworks/Carbon.framework/Versions/A/Carbon
0x923a5000 - 0x923ffff7  com.apple.CoreText 2.0.3 (???) <1f1a97273753e6cfea86c810d6277680> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreText.framework/Versions/A/CoreText
0x92400000 - 0x92404fff  com.apple.CoreMediaAuthoringPrivate 1.5 (1.5) /System/Library/PrivateFrameworks/CoreMediaAuthoringPrivate.framework/Versions/A/CoreMediaAuthoringPrivate
0x92405000 - 0x92455ff7  com.apple.HIServices 1.7.0 (???) <f7e78891a6d08265c83dca8e378be1ea> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/HIServices.framework/Versions/A/HIServices
0x9248d000 - 0x92520fff  com.apple.ink.framework 101.3 (86) <bf3fa8927b4b8baae92381a976fd2079> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Ink.framework/Versions/A/Ink
0x92521000 - 0x9259bff8  com.apple.print.framework.PrintCore 5.5.3 (245.3) <222dade7b33b99708b8c09d1303f93fc> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/PrintCore.framework/Versions/A/PrintCore
0x9259c000 - 0x92690ff4  libiconv.2.dylib ??? (???) <c508c60fafca17824c0017b2e4369802> /usr/lib/libiconv.2.dylib
0x92691000 - 0x9270efef  libvMisc.dylib ??? (???) /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvMisc.dylib
0x92984000 - 0x92a4ffff  com.apple.ColorSync 4.5.1 (4.5.1) /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ColorSync.framework/Versions/A/ColorSync
0x92a50000 - 0x92adbfff  com.apple.framework.IOKit 1.5.1 (???) <324526f69e1443f2f9fb722cc88a23ec> /System/Library/Frameworks/IOKit.framework/Versions/A/IOKit
0x92b19000 - 0x92b57fff  libGLImage.dylib ??? (???) <f0fe2252f6b1ca341bc7837fe2dcf11a> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLImage.dylib
0x92bb1000 - 0x92c2dfeb  com.apple.audio.CoreAudio 3.1.0 (3.1) <70bb7c657061631491029a61babe0b26> /System/Library/Frameworks/CoreAudio.framework/Versions/A/CoreAudio
0x92c2e000 - 0x92d8eff3  libSystem.B.dylib ??? (???) <a12f397abf2285077b89bd726bff5b18> /usr/lib/libSystem.B.dylib
0x92d8f000 - 0x93260f3e  libGLProgrammability.dylib ??? (???) <fe1a33d4919c121aab831ad516da6a89> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLProgrammability.dylib
0x93261000 - 0x93a5efef  com.apple.AppKit 6.5.3 (949.34) <4c7af9b12c894d4a528fda29377f143b> /System/Library/Frameworks/AppKit.framework/Versions/C/AppKit
0x93a5f000 - 0x93af2ff3  com.apple.ApplicationServices.ATS 3.4 (???) <a96cd91dabc68545183c11de8f92c7e4> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/ATS
0x93af3000 - 0x93b72ff5  com.apple.SearchKit 1.2.1 (1.2.1) <3140a605db2abf56b237fa156a08b28b> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SearchKit.framework/Versions/A/SearchKit
0x93b73000 - 0x93b73ffd  com.apple.Accelerate 1.4.2 (Accelerate 1.4.2) /System/Library/Frameworks/Accelerate.framework/Versions/A/Accelerate
0x93bbf000 - 0x93bc6fe9  libgcc_s.1.dylib ??? (???) <f53c808e87d1184c0f9df63aef53ce0b> /usr/lib/libgcc_s.1.dylib
0x93bc7000 - 0x93bccfff  com.apple.CommonPanels 1.2.4 (85) <ea0665f57cd267609466ed8b2b20e893> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CommonPanels.framework/Versions/A/CommonPanels
0x93bcd000 - 0x93bd4ff7  libCGATS.A.dylib ??? (???) <973c01cc14f3d673270e269ccfaec660> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCGATS.A.dylib
0x93cd7000 - 0x93ce7ffc  com.apple.LangAnalysis 1.6.4 (1.6.4) <8b7831b5f74a950a56cf2d22a2d436f6> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LangAnalysis.framework/Versions/A/LangAnalysis
0x93ce8000 - 0x93d98fff  edu.mit.Kerberos 6.0.12 (6.0.12) <da7253e3fb7e47e46cb46d47ed320ffc> /System/Library/Frameworks/Kerberos.framework/Versions/A/Kerberos
0x93d99000 - 0x93d9bff5  libRadiance.dylib ??? (???) <8a844202fcd65662bb9ab25f08c45a62> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libRadiance.dylib
0x93d9c000 - 0x93e20fe3  com.apple.CFNetwork 339.5 (339.5) <c6565c13b0356e1d4bb99a68398d558b> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CFNetwork.framework/Versions/A/CFNetwork
0x93e21000 - 0x93ed3ffb  libcrypto.0.9.7.dylib ??? (???) <69bc2457aa23f12fa7d052601d48fa29> /usr/lib/libcrypto.0.9.7.dylib
0x93ed4000 - 0x93eddfff  com.apple.speech.recognition.framework 3.7.24 (3.7.24) <d3180f9edbd9a5e6f283d6156aa3c602> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SpeechRecognition.framework/Versions/A/SpeechRecognition
0x93ede000 - 0x93f20fef  com.apple.NavigationServices 3.5.2 (163) <91844980804067b07a0b6124310d3f31> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/NavigationServices.framework/Versions/A/NavigationServices
0x93f21000 - 0x93fabfe3  com.apple.DesktopServices 1.4.7 (1.4.7) <d16642ba22c32f67be793ebfbe67ca3a> /System/Library/PrivateFrameworks/DesktopServicesPriv.framework/Versions/A/DesktopServicesPriv
0x93fac000 - 0x9408dff7  libxml2.2.dylib ??? (???) <1baef3d4972ee789d8fa6c1fa44da45c> /usr/lib/libxml2.2.dylib
0x9408e000 - 0x9409cffd  libz.1.dylib ??? (???) <5ddd8539ae2ebfd8e7cc1c57525385c7> /usr/lib/libz.1.dylib
0x9409d000 - 0x940b1ff3  com.apple.ImageCapture 4.0 (5.0.0) /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/ImageCapture.framework/Versions/A/ImageCapture
0x940e5000 - 0x940ecffe  libbsm.dylib ??? (???) <d25c63378a5029648ffd4b4669be31bf> /usr/lib/libbsm.dylib
0x940ed000 - 0x9412efe7  libRIP.A.dylib ??? (???) <1f09316e876fe813271bdfb9eb5b229e> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libRIP.A.dylib
0x942c6000 - 0x942c6ff8  com.apple.ApplicationServices 34 (34) <8f910fa65f01d401ad8d04cc933cf887> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/ApplicationServices
0x942cd000 - 0x942d1fff  libmathCommon.A.dylib ??? (???) /usr/lib/system/libmathCommon.A.dylib
0x942d2000 - 0x942fcfff  com.apple.CoreMediaPrivate 11.0 (11.0) <e37d6ebd5934b482c864ba6eaf122488> /System/Library/PrivateFrameworks/CoreMediaPrivate.framework/Versions/A/CoreMediaPrivate
0x942fd000 - 0x94303fff  com.apple.print.framework.Print 218.0.2 (220.1) <8bf7ef71216376d12fcd5ec17e43742c> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Print.framework/Versions/A/Print
0x94304000 - 0x94306fff  com.apple.securityhi 3.0 (30817) <2b2854123fed609d1820d2779e2e0963> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SecurityHI.framework/Versions/A/SecurityHI
0x94307000 - 0x9432bfff  libxslt.1.dylib ??? (???) <ea5c8d349a3934ecc2b936f9cdfaba04> /usr/lib/libxslt.1.dylib
0x9432c000 - 0x94359feb  libvDSP.dylib ??? (???) <b232c018ddd040ec4e2c2af632dd497f> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvDSP.dylib
0x9435a000 - 0x945d5fe7  com.apple.Foundation 6.5.6 (677.21) <5cfa0aa8b9b43193955d601ba6c2591a> /System/Library/Frameworks/Foundation.framework/Versions/C/Foundation
0x945d6000 - 0x9471cff7  com.apple.ImageIO.framework 2.0.4 (2.0.4) <6a6623d3d1a7292b5c3763dcd108b55f> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/ImageIO
0x9471d000 - 0x94745ff7  com.apple.shortcut 1 (1.0) <057783867138902b52bc0941fedb74d1> /System/Library/PrivateFrameworks/Shortcut.framework/Versions/A/Shortcut
0x94746000 - 0x9487eff7  libicucore.A.dylib ??? (???) <3d8fdaf51c2664ab620f1688203caf26> /usr/lib/libicucore.A.dylib
0x948b1000 - 0x949e3fff  com.apple.CoreFoundation 6.5.4 (476.15) <e2869ad6dc1dd289f21b305b0bea9158> /System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation
0x949e4000 - 0x94bb2fff  com.apple.security 5.0.4 (34102) <f01d6cbd6a0f24f6c13952ed448e77d6> /System/Library/Frameworks/Security.framework/Versions/A/Security
0x94bb3000 - 0x94bbbfff  com.apple.DiskArbitration 2.2.1 (2.2.1) <75b0c8d8940a8a27816961dddcac8e0f> /System/Library/Frameworks/DiskArbitration.framework/Versions/A/DiskArbitration
0x9520d000 - 0x9561dfef  libBLAS.dylib ??? (???) /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBLAS.dylib
0x9561e000 - 0x9563dffa  libJPEG.dylib ??? (???) <e7eb56555109e23144924cd64aa8daec> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libJPEG.dylib
0x9563e000 - 0x95654fff  com.apple.DictionaryServices 1.0.0 (1.0.0) <ad0aa0252e3323d182e17f50defe56fc> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/DictionaryServices.framework/Versions/A/DictionaryServices
0x95655000 - 0x9570ffe3  com.apple.CoreServices.OSServices 226.5 (226.5) <2a135d4fb16f4954290f7b72b4111aa3> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/OSServices.framework/Versions/A/OSServices
0x95728000 - 0x95767fff  com.apple.CoreMediaIOServicesPrivate 12.0 (12.0) /System/Library/PrivateFrameworks/CoreMediaIOServicesPrivate.framework/Versions/A/CoreMediaIOServicesPrivate
0x95768000 - 0x95831fe7  com.apple.QuickTimeMPEG4.component 7.5.5 (990.7) /System/Library/QuickTime/QuickTimeMPEG4.component/Contents/MacOS/QuickTimeMPEG4
0x95832000 - 0x95871fef  libTIFF.dylib ??? (???) <3589442575ac77746ae99ecf724f5f87> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libTIFF.dylib
0x95a5b000 - 0x95df8fe7  com.apple.QuartzCore 1.5.5 (1.5.5) <82435993614a3fff1236be18f82188bf> /System/Library/Frameworks/QuartzCore.framework/Versions/A/QuartzCore
0x95df9000 - 0x960d3ff3  com.apple.CoreServices.CarbonCore 786.6 (786.6) <5682aae1e2cf5ae750d5a4dea98c084c> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CarbonCore.framework/Versions/A/CarbonCore
0x960d4000 - 0x96160ff7  com.apple.LaunchServices 290 (290) <61af37aac50984d220dd176f777e3b72> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/LaunchServices.framework/Versions/A/LaunchServices
0x96161000 - 0x96483fe2  com.apple.QuickTime 7.5.5 (990.7) <87077cec43c7e9b02c8ee80e50b8b81f> /System/Library/Frameworks/QuickTime.framework/Versions/A/QuickTime
0x96487000 - 0x96487ffc  com.apple.audio.units.AudioUnit 1.5 (1.5) /System/Library/Frameworks/AudioUnit.framework/Versions/A/AudioUnit
0x96488000 - 0x964a3ffb  libPng.dylib ??? (???) <4780e979d35aa5ec2cea22678836cea5> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libPng.dylib
0x964a4000 - 0x965c8fe3  com.apple.audio.toolbox.AudioToolbox 1.5.1 (1.5.1) /System/Library/Frameworks/AudioToolbox.framework/Versions/A/AudioToolbox
0x965c9000 - 0x9666bff3  com.apple.QuickTimeImporters.component 7.5.5 (990.7) /System/Library/QuickTime/QuickTimeImporters.component/Contents/MacOS/QuickTimeImporters
0x9666c000 - 0x96684fff  com.apple.openscripting 1.2.8 (???) <572c7452d7e740e8948a5ad07a99602b> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/OpenScripting.framework/Versions/A/OpenScripting
0x9688d000 - 0x96898fe7  libCSync.A.dylib ??? (???) <86d2f2e167ba6f74f45a186f5c7f8980> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCSync.A.dylib
0x96899000 - 0x968a5ff9  com.apple.helpdata 1.0.1 (14.2) /System/Library/PrivateFrameworks/HelpData.framework/Versions/A/HelpData
0x96919000 - 0x96919ffb  com.apple.installserver.framework 1.0 (8) /System/Library/PrivateFrameworks/InstallServer.framework/Versions/A/InstallServer
0x9691a000 - 0x96976ff7  com.apple.htmlrendering 68 (1.1.3) <fe87a9dede38db00e6c8949942c6bd4f> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HTMLRendering.framework/Versions/A/HTMLRendering
0x969cc000 - 0x96d8afea  libLAPACK.dylib ??? (???) /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLAPACK.dylib
0x96e89000 - 0x96ed2fef  com.apple.Metadata 10.5.2 (398.22) <a6b676925dd832780daf991e79adfebd> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Metadata.framework/Versions/A/Metadata
0x96f22000 - 0x96f59fff  com.apple.SystemConfiguration 1.9.2 (1.9.2) <8b26ebf26a009a098484f1ed01ec499c> /System/Library/Frameworks/SystemConfiguration.framework/Versions/A/SystemConfiguration
0x96f89000 - 0x96fb4fe7  libauto.dylib ??? (???) <42d8422dc23a18071869fdf7b5d8fab5> /usr/lib/libauto.dylib
0x96fb5000 - 0x96fc5fff  com.apple.speech.synthesis.framework 3.7.1 (3.7.1) <06d8fc0307314f8ffc16f206ad3dbf44> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/SpeechSynthesis.framework/Versions/A/SpeechSynthesis
0x96fc6000 - 0x9704dff7  libsqlite3.0.dylib ??? (???) <6978bbcca4277d6ae9f042beff643f7d> /usr/lib/libsqlite3.0.dylib
0x9704e000 - 0x97051fff  com.apple.help 1.1 (36) <b507b08e484cb89033e9cf23062d77de> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Help.framework/Versions/A/Help
0x97052000 - 0x9708cfe7  com.apple.coreui 1.2 (62) /System/Library/PrivateFrameworks/CoreUI.framework/Versions/A/CoreUI
0xba900000 - 0xba916fff  libJapaneseConverter.dylib ??? (???) <7b0248c392848338f5d6ed093313eeef> /System/Library/CoreServices/Encodings/libJapaneseConverter.dylib
0xbab00000 - 0xbab21fe2  libKoreanConverter.dylib ??? (???) <51586b8d9ef39123fbe6918f12d8285f> /System/Library/CoreServices/Encodings/libKoreanConverter.dylib
0xfffe8000 - 0xfffebfff  libobjc.A.dylib ??? (???) /usr/lib/libobjc.A.dylib
0xffff0000 - 0xffff1780  libSystem.B.dylib ??? (???) /usr/lib/libSystem.B.dylib

 
Comment 6 illogic-al 2008-11-08 04:34:15 UTC
(In reply to comment #5)
> I thought I could make a sym link to my home directory (which I did), but now
> Amarok does not display its main window when I start it, 
Separate bug report. This can be alleviated by going to the system tray icon (blue wolf in the menubar) and clicking on the "Restore" icon. Please file a separate bug report for it.
Comment 7 James Rome 2008-11-10 01:35:27 UTC
I did make the sym link , and told it to scan my home directory, but Amarok never seemed to find my linked music files. Of course I have a HUGE home directory, so maybe it got tired.
Comment 8 Jeff Mitchell 2008-11-10 22:54:45 UTC
Re: showing all hidden directories -- this would create a large amount of cruft in the view.  I'm thinking we should maybe add a #define explicitly for OS X to show /Volumes.

Good idea?  Bad idea?
Comment 9 Leo Franchi 2008-11-14 16:30:59 UTC
just an FYI, you *can* use symlinks to make it work.

I have my /Volumes/Music drive symlinked to /music and amarok can see it and scan it with no problems.
Comment 10 James Rome 2008-11-14 16:35:33 UTC
That would be great, except that Amarok crashes when I try to navigate into my home directory. Many users do not know how to make symlinks also.
Comment 11 James Rome 2008-11-14 16:45:16 UTC
Ah. Putting it in /music instead of /Users/me/music may be working. It is scanning.
Comment 12 James Rome 2008-11-14 16:57:17 UTC
It scanned the music folder, but seems to still have nothing listed in my Collections. Am I doing something wrong?
Comment 13 illogic-al 2008-11-14 23:10:14 UTC
(In reply to comment #12)
> It scanned the music folder, but seems to still have nothing listed in my
> Collections. Am I doing something wrong?
> 
Nope. that is a non-amarok packaging bug.
Now about those crashes when you symlink in /home, i'll try to reproduce later. 
Comment 14 flurios 2008-12-12 19:06:12 UTC
you could make /Volumes visible using the SetFile command.

> SetFile -a v /Volumes/ 

or so...
Comment 15 Myriam Schweingruber 2009-08-02 17:06:42 UTC
Any news about this? Last comment was more than 7 months ago...
Comment 16 Myriam Schweingruber 2009-09-27 14:20:32 UTC
Any news on this?
Comment 17 Myriam Schweingruber 2010-01-08 19:01:17 UTC
Any news about this? Bumping version to 2.2.3-git
Comment 18 Myriam Schweingruber 2011-01-24 18:33:59 UTC
Closing for lack of feedback. Feel free to reopen if you can reproduce this with current Amarok 2.4 or later.